Package org.eclipse.emf.compare.postprocessor

# Interface IPostProcessor.Descriptor.Registry<K>

Type Parameters:
  `K` - The generic type of the class

All Known Implementing Classes:
  `PostProcessorDescriptorRegistryImpl`, `PostProcessorRegistryImpl`

Enclosing interface:
  IPostProcessor.Descriptor

public static interface IPostProcessor.Descriptor.Registry<K>
Registry of post processor.

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Removes all extensions from this registry.
`List<IPostProcessor.Descriptor>`
`getDescriptors()`
This will return a copy of the registered post processors list.
`List<IPostProcessor>`
`getPostProcessors(IComparisonScope scope)`
Retrieve the post processors from a given `scope`.
`IPostProcessor.Descriptor`
`put(K key, IPostProcessor.Descriptor descriptor)`
Adds a post processor to the registry.
`IPostProcessor.Descriptor`
`remove(K key)`
Removes a post processor from this registry.

## Method Details

### put

IPostProcessor.Descriptor put(K key, IPostProcessor.Descriptor descriptor)
Adds a post processor to the registry.

Parameters:
  `key` - key with which the specified descriptor is to be associated
  `descriptor` - Post Processor that is to be added to this registry.
Returns:
  the previous descriptor associated with `key`, or `null` if there was no mapping for `key`. (A `null` return can also indicate that the map previously associated `null` with `key`, if the implementation supports `null` values.)

### clear

void clear()
Removes all extensions from this registry.

Restriction:
  This method is not intended to be referenced by clients.

### getDescriptors

List<IPostProcessor.Descriptor> getDescriptors()
This will return a copy of the registered post processors list.

Returns:
  A copy of the registered post processors list.

### remove

IPostProcessor.Descriptor remove(K key)
Removes a post processor from this registry.

Parameters:
  `key` - key of the post processor descriptor that is to be removed from the registry.
Returns:
  the previous value associated with `key`, or `null` if there was no mapping for `key`.

### getPostProcessors

List<IPostProcessor> getPostProcessors(IComparisonScope scope)
Retrieve the post processors from a given `scope`. The scope provides the set of scanned namespaces and resource uris. If they match with the regex of some post processors, then they are returned.

Parameters:
  `scope` - The given scope.
Returns:
  The associated post processors if any.